package charcter.kuma;

import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JPanel;

import charcter.Drawable;

public class Kuma implements Drawable{
	
	private static final int RIGHT = 0;
	private static final int LEFT = 1;
	
	private static final int DX = 15;
	
	private JPanel panel;
	
	private int x,y;	
	private boolean isRight; //右向きならtrue
	private static BufferedImage[] kumaImg;
	
	static{
		try {
			kumaImg = new BufferedImage[]{
					ImageIO.read(new File("res/anarogma_r.png")),
					ImageIO.read(new File("res/anarogma_l.png"))
			};
		} catch (IOException e) {				
			e.printStackTrace();
			System.err.println("can't open image file");
			System.exit(0);
		}
	}

	public Kuma(int _x, JPanel _panel, boolean _isRight){
		panel = _panel;
		x = _x;		
		y = _panel.getHeight()-getImage().getHeight();
		isRight = _isRight;
	}

	@Override
	public void draw(Graphics2D g){
		g.drawImage(getImage(), x, y,null);
	}


	private BufferedImage getImage(){
		return isRight ? kumaImg[RIGHT]:kumaImg[LEFT]; 
	}
	
	public synchronized void move(){
		if(isRight){
			if(x+getImage().getWidth() < panel.getWidth()){
				x+=DX;			
			}
		}else{
			if(x > 0)x-=DX;
		}
		y = panel.getHeight()-getImage().getHeight();		
	}
	
	public synchronized void toRight(){
		isRight = true;		
	}
	
	public synchronized void toLeft(){
		isRight = false;
	}

	public final int getX() {
		return x;
	}

	public final int getY() {
		return y;
	}
	
	public static final int getWidth(){
		return kumaImg[0].getWidth();
	}
	public static final  int getHeight(){
		return kumaImg[0].getHeight();
	}

}
