package charcter.shika;

import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;

import charcter.Drawable;

public class Shika implements Drawable {
	
	private static final double G = 9.8;
	
	private static BufferedImage shikaImg;
	static{
		try {
			shikaImg = ImageIO.read(new File("res/chidejika.png"));
		} catch (IOException e) {
			e.printStackTrace();
			System.err.println("can't open image file");
			System.exit(0);
		}
	}
	
	private double v;
	
	private int x,y;	
	
	/**
	 * @param _x 位置	 
	 */
	public Shika(int _x){
		x = _x;
		v = 0;
	}
	
	public void init(){
		y = -shikaImg.getHeight();			
	}
	
	public void action(){
		v+=G*0.1;
		y += v;		
	}
	
	public void draw(Graphics2D g){
		g.drawImage(shikaImg,x,y,null);
	}
	

	public final int getX() {
		return x;
	}
	
	public final int getY() {
		return y;
	}

	public static final int getWidth(){
		return shikaImg.getWidth();
	}
	
	public static final int getHeight(){
		return shikaImg.getHeight();
	}

}
