package main;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JPanel;

import charcter.Drawable;

public class Ending extends JPanel implements Drawable{
	
	String score;
	private static final int  X = 0, Y = 50;
	
	static BufferedImage endImage;
	static{
		try {
			endImage =
					ImageIO.read(new File("res/ending.jpg"));
					
			
		} catch (IOException e) {				
			e.printStackTrace();
			System.err.println("can't open image file");
			System.exit(0);
		}
	}
	
	Font font;
	
	public Ending(String _score){
		score = _score;
		font = new Font(null,Font.BOLD,20);
	}
	
	@Override
	public void paint(Graphics g){
		draw((Graphics2D)g);
	}
	
	public final int getWidth(){ return endImage.getWidth(); }
	public final int getHeight(){ return endImage.getHeight(); }

	@Override
	public void draw(Graphics2D g){
		Graphics2D g2 = (Graphics2D)g.create();
		
		g2.drawImage(endImage,0,0,null);
		
		g2.setFont( font );
		
		g2.setColor(Color.white);		
		g2.drawString(score,X,Y);
		g2.setColor(Color.black);
		g2.drawString(score,X+1,Y+1);		
		g2.dispose();
	}
	
}
