package main;

import java.awt.Color;
import java.awt.Graphics;

import javax.swing.JPanel;

public class GamePanel extends JPanel{

	Game game;

	public GamePanel(Game _game){
		game = _game;
		
		new RepaintThread();
	}

	@Override
	public void paint(Graphics gg){
		super.paint(gg);
		Graphics g = gg.create();
		g.setColor(Color.black);
		g.fillRect(0,0,this.getWidth(),this.getHeight());
		game.drawImage(g);
		g.dispose();
	}

	@Override
	public void update(Graphics g){
		paint(g);
	}
	
	/**再描画用スレッド*/
	private class RepaintThread implements Runnable{

		RepaintThread(){
			new Thread(this).start();
		}

		public void run(){
			while(true){
				repaint();
				try {
					Thread.sleep(50);			
				} catch (InterruptedException e) {
					e.printStackTrace();
				}

			}
		}

	}

}
